Đến nội dung


Hình ảnh
- - - - -

Xin được diễn giải về Lisp chèn ký tự !!!


  • Please log in to reply
3 replies to this topic

#1 songvotinh

songvotinh

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 January 2008 - 10:01 PM

Tôi có một đoạn List như sau:
(defun C:ve (/ scalei  pto  mtxtin i orx pti)

(setq pto (getpoint "Nhap toa do "))
(setq scalei (getreal "Nhap khoang cach chu: "))
(setq mtxtin "")
(setq mtxtin (getstring "input text: "))
(setq tlen (strlen mtxtin))
(setq i 1)
(setq orx (car pto))
(while (<= i tlen )

(setq pti (polar pto 0.0 orx))


(if (= (substr mtxtin i 1) "a") (command "Insert" "a" pti "" "" ""))
(if (= (substr mtxtin i 1) "b") (command "Insert" "b" pti "" "" ""))
(if (= (substr mtxtin i 1) "c") (command "Insert" "c" pti "" "" ""))
(if (= (substr mtxtin i 1) "d") (command "Insert" "d" pti "" "" ""))
(if (= (substr mtxtin i 1) "e") (command "Insert" "e" pti "" "" ""))
(if (= (substr mtxtin i 1) "f") (command "Insert" "f" pti "" "" ""))
(if (= (substr mtxtin i 1) "g") (command "Insert" "g" pti "" "" ""))



(if (= (substr mtxtin i 1) "h") (command "Insert" "h" pti "" "" ""))
(if (= (substr mtxtin i 1) "i") (command "Insert" "i" pti "" "" "" ))
(if (= (substr mtxtin i 1) "j") (command "Insert" "j" pti "" "" ""))
(if (= (substr mtxtin i 1) "k") (command "Insert" "k" pti "" "" ""))
(if (= (substr mtxtin i 1) "l") (command "Insert" "l" pti "" "" ""))
(if (= (substr mtxtin i 1) "m") (command "Insert" "m" pti "" "" ""))
(if (= (substr mtxtin i 1) "n") (command "Insert" "n" pti "" "" ""))

(if (= (substr mtxtin i 1) "o") (command "Insert" "o" pti "" "" ""))
(if (= (substr mtxtin i 1) "p") (command "Insert" "p" pti "" "" "" ))
(if (= (substr mtxtin i 1) "q") (command "Insert" "q" pti "" "" ""))
(if (= (substr mtxtin i 1) "r") (command "Insert" "r" pti "" "" ""))
(if (= (substr mtxtin i 1) "s") (command "Insert" "s" pti "" "" ""))
(if (= (substr mtxtin i 1) "t") (command "Insert" "t" pti "" "" ""))
(if (= (substr mtxtin i 1) "u") (command "Insert" "u" pti "" "" ""))

(if (= (substr mtxtin i 1) "v") (command "Insert" "v" pti "" "" ""))
(if (= (substr mtxtin i 1) "x") (command "Insert" "x" pti "" "" "" ))
(if (= (substr mtxtin i 1) "y") (command "Insert" "y" pti "" "" ""))
(if (= (substr mtxtin i 1) "z") (command "Insert" "z" pti "" "" ""))
(if (= (substr mtxtin i 1) "w") (command "Insert" "w" pti "" "" ""))


(setq orx (+ scalei orx))

(setq i (1+ i))
)
)

Và đi kèm với nó là File ABC
http://www.cadviet.com/upfiles/ABC.dwg

Bác Hoanh và các cao thủ có thể giúp tôi chỉnh sửa nó với... hiện nay tôi muốn sử dụng list mà ko cần đi kèm với File cad có được ko ? và tôi muốn chèn ký tự tại chính điểm chọn thì làm thế nào (hiện tại điểm chèn ký tự ko trùng với điểm chọn)
Xin các bác chỉ giáo dùm... xin cảm ơn... rất nhiều
Cadviet rất hay và ý nghĩa, chúc các bạn mạnh khoẻ...
  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 30 January 2008 - 10:34 PM

Tôi có một đoạn List như sau:

Và đi kèm với nó là File ABC
http://www.cadviet.com/upfiles/ABC.dwg

Bác Hoanh và các cao thủ có thể giúp tôi chỉnh sửa nó với... hiện nay tôi muốn sử dụng list mà ko cần đi kèm với File cad có được ko ? và tôi muốn chèn ký tự tại chính điểm chọn thì làm thế nào (hiện tại điểm chèn ký tự ko trùng với điểm chọn)
Xin các bác chỉ giáo dùm... xin cảm ơn... rất nhiều
Cadviet rất hay và ý nghĩa, chúc các bạn mạnh khoẻ...

Xin được trả lời bạn như sau:
1. File DWG đó chứa các block để chương trình chèn vào, để chương trình này chạy được cần có file đó.
2. Bạn muốn chèn vào tại chính điểm chọn thì bạn sửa dòng mã (setq pti (polar pto 0.0 orx)) thành (setq pti pto).
  • 0

#3 romeo1982

romeo1982

    biết lệnh mirror

  • Members
  • PipPipPip
  • 152 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 13 February 2008 - 04:51 PM

Tôi có một đoạn List như sau:

Và đi kèm với nó là File ABC
<a href="http://www.cadviet.com/upfiles/ABC.dwg" target="_blank">http://www.cadviet.com/upfiles/ABC.dwg</a>

Bác Hoanh và các cao thủ có thể giúp tôi chỉnh sửa nó với... hiện nay tôi muốn sử dụng list mà ko cần đi kèm với File cad có được ko ? và tôi muốn chèn ký tự tại chính điểm chọn thì làm thế nào (hiện tại điểm chèn ký tự ko trùng với điểm chọn)
Xin các bác chỉ giáo dùm... xin cảm ơn... rất nhiều
Cadviet rất hay và ý nghĩa, chúc các bạn mạnh khoẻ...

Cho mình hỏi là lệnh VE và bản vẽ mẫu để chèn kí tự này dùng vào việc gì và load vào cad như thế nào mới xài được
  • 0

#4 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 14 February 2008 - 08:52 AM

Cho mình hỏi là lệnh VE và bản vẽ mẫu để chèn kí tự này dùng vào việc gì và load vào cad như thế nào mới xài được


Theo mình biết thì phải mở chính cái file này hoặc dùng lệnh insert chèn bản vẽ này vào rồi mới load cái lisp kia thì mới dùng được. Và nói chung thì nó còn rất thô sơ vì mẫu text như thế thì đã có sẳn rồi (cái này lãi cghưa có cả dấu nửa) thường thì chỉ dùng cho các text do mình tự sáng tác ra thôi vì lúc này 1 dòng text là cả lô block vậy mà.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D